apiVersion: v1
kind: Template
labels:
  app: jenkins-agent-centos
  template: jenkins-agent-centos-buildconfig-with-secret
metadata:
  annotations:
    description: Jenkins Agent CentOS Image - BuildConfig with Secret
      see https://gitlab.com/synacksynack/opsperator/docker-jenkins-agent-centos
    iconClass: icon-openshift
    openshift.io/display-name: Jenkins Agent CentOS
    tags: jenkins-agent-centos
  name: jenkins-agent-centos-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-jac-${JAC_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds Jenkins Agent CentOS images
    labels:
      name: jac-${JAC_REPOSITORY_REF}
    name: jac-${JAC_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 200m
        memory: 512Mi
    source:
      contextDir: /
      git:
        uri: ${JAC_REPOSITORY_URL}
        ref: "${JAC_REPOSITORY_REF}"
      sourceSecret:
        name: git-jac-${JAC_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: jenkins-agent-centos:${JAC_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
parameters:
- name: JAC_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: JAC_REPOSITORY_URL
  description: The URL of the repository with your Jenkins Agent CentOS Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-jenkins-agent-centos.git
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
